# Gst::RingBufferSpec Class Reference

The structure containing the format specification of a Gst::RingBuffer. More...

`#include <ringbuffer.h>`

List of all members.

## Public Member Functions

| RingBufferSpec (const GstRingBufferSpec* castitem)
| Construct a Gst::RingBufferSpec from a GstRingBufferSpec.

## Public Attributes

Glib::RefPtr<Gst::Caps> | caps
| The caps that generated the Spec.
Gst::BufferFormatType | type
| The sample type.
Gst::BufferFormat | format
| The sample format.
bool | sign
| The sample sign.
bool | bigend
| The endianness of the samples.
int | width
| The width of the samples.
int | depth
| The depth of the samples.
int | rate
| The samplerate.
int | channels
| The number of channels.
guint64 | latency_time
| The latency in microseconds.
guint64 | buffer_time
| The total buffer size in microseconds.
int | segsize
| The size of one segment in bytes.
int | segtotal
| The total number of segments.
int | bytes_per_sample
| Number of bytes of one sample.
guint8 | silence_sample [32]
| Bytes representing one sample of silence.
int | seglatency
| Number of segments queued in the lower level device, defaults to segtotal.

## Detailed Description

The structure containing the format specification of a Gst::RingBuffer.

See also:
  Gst::RingBuffer::acquire().

## Constructor & Destructor Documentation

Gst::RingBufferSpec::RingBufferSpec | ( | const GstRingBufferSpec * | castitem | ) |

Construct a Gst::RingBufferSpec from a GstRingBufferSpec.

## Member Data Documentation

bool Gst::RingBufferSpec::bigend

The endianness of the samples.

guint64 Gst::RingBufferSpec::buffer_time

The total buffer size in microseconds.

int Gst::RingBufferSpec::bytes_per_sample

Number of bytes of one sample.

Glib::RefPtr<Gst::Caps> Gst::RingBufferSpec::caps

The caps that generated the Spec.

int Gst::RingBufferSpec::channels

The number of channels.

int Gst::RingBufferSpec::depth

The depth of the samples.

Gst::BufferFormat Gst::RingBufferSpec::format

The sample format.

guint64 Gst::RingBufferSpec::latency_time

The latency in microseconds.

int Gst::RingBufferSpec::rate

The samplerate.

int Gst::RingBufferSpec::seglatency

Number of segments queued in the lower level device, defaults to segtotal.

int Gst::RingBufferSpec::segsize

The size of one segment in bytes.

int Gst::RingBufferSpec::segtotal

The total number of segments.

bool Gst::RingBufferSpec::sign

The sample sign.

guint8 Gst::RingBufferSpec::silence_sample[32]

Bytes representing one sample of silence.

Gst::BufferFormatType Gst::RingBufferSpec::type

The sample type.

int Gst::RingBufferSpec::width

The width of the samples.

The documentation for this class was generated from the following file:

- ringbuffer.h